Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# MediaData< ChainClass, max_frags, local_bufsize > Class Template Reference
[OSCL Util]

`#include <oscl_media_data.h>`

Inheritance diagram for MediaData< ChainClass, max_frags, local_bufsize >:

## Public Methods
| MediaData ()
virtual | ~MediaData ()
uint32 | GetLocalBufsize () const
MediaTimestamp | GetTimestamp () const
void | SetTimestamp (MediaTimestamp in_timestamp)
uint32 | GetAvailableBufferSize () const
MediaStatusClass::status_t | GetLocalFragment (BufferFragment &fragment)
virtual void | Clear ()
bool | IsLocalData (const OsclMemoryFragment &frag) const
int | GetMediaSize () const
BufferFragment * | GetMediaFragment (const uint32 idx)
uint32 | GetNumMediaFrags (const uint32 idx) const
## Protected Methods
MediaStatusClass::status_t | AddLocalFragment (const BufferFragment &frag, int32 location_offset)
## Protected Attributes
MediaTimestamp | timestamp
uint8 | localbuf [local_bufsize]
uint32 | available_localbuf
int | num_reserved_fragments

### template<class ChainClass, uint32 max_frags, uint32 local_bufsize>
class MediaData< ChainClass, max_frags, local_bufsize >

## Constructor & Destructor Documentation

template<class ChainClass, uint32 max_frags, uint32 local_bufsize>
MediaData< ChainClass, max_frags, local_bufsize >::MediaData | ( |  | ) | `[inline]`

template<class ChainClass, uint32 max_frags, uint32 local_bufsize>
virtual MediaData< ChainClass, max_frags, local_bufsize >::~MediaData | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

template<class ChainClass, uint32 max_frags, uint32 local_bufsize>
MediaStatusClass::status_t MediaData< ChainClass, max_frags, local_bufsize >::AddLocalFragment | ( | const BufferFragment & | frag,
|  | int32 | location_offset
| ) | `[inline, protected]`

template<class ChainClass, uint32 max_frags, uint32 local_bufsize>
virtual void MediaData< ChainClass, max_frags, local_bufsize >::Clear | ( |  | ) | `[inline, virtual]`

| Reimplemented from BufFragGroup< ChainClass, max_frags >.

template<class ChainClass, uint32 max_frags, uint32 local_bufsize>
uint32 MediaData< ChainClass, max_frags, local_bufsize >::GetAvailableBufferSize | ( |  | ) | const`[inline]`

template<class ChainClass, uint32 max_frags, uint32 local_bufsize>
uint32 MediaData< ChainClass, max_frags, local_bufsize >::GetLocalBufsize | ( |  | ) | const`[inline]`

template<class ChainClass, uint32 max_frags, uint32 local_bufsize>
MediaStatusClass::status_t MediaData< ChainClass, max_frags, local_bufsize >::GetLocalFragment | ( | BufferFragment & | fragment | ) | `[inline]`

template<class ChainClass, uint32 max_frags, uint32 local_bufsize>
BufferFragment* MediaData< ChainClass, max_frags, local_bufsize >::GetMediaFragment | ( | const uint32 | idx | ) | `[inline]`

template<class ChainClass, uint32 max_frags, uint32 local_bufsize>
int MediaData< ChainClass, max_frags, local_bufsize >::GetMediaSize | ( |  | ) | const`[inline]`

template<class ChainClass, uint32 max_frags, uint32 local_bufsize>
uint32 MediaData< ChainClass, max_frags, local_bufsize >::GetNumMediaFrags | ( | const uint32 | idx | ) | const`[inline]`

template<class ChainClass, uint32 max_frags, uint32 local_bufsize>
MediaTimestamp MediaData< ChainClass, max_frags, local_bufsize >::GetTimestamp | ( |  | ) | const`[inline]`

template<class ChainClass, uint32 max_frags, uint32 local_bufsize>
bool MediaData< ChainClass, max_frags, local_bufsize >::IsLocalData | ( | const OsclMemoryFragment & | frag | ) | const`[inline]`

template<class ChainClass, uint32 max_frags, uint32 local_bufsize>
void MediaData< ChainClass, max_frags, local_bufsize >::SetTimestamp | ( | MediaTimestamp | in_timestamp | ) | `[inline]`

## Field Documentation

template<class ChainClass, uint32 max_frags, uint32 local_bufsize>
uint32 MediaData< ChainClass, max_frags, local_bufsize >::available_localbuf`[protected]`

template<class ChainClass, uint32 max_frags, uint32 local_bufsize>
uint8 MediaData< ChainClass, max_frags, local_bufsize >::localbuf[local_bufsize]`[protected]`

template<class ChainClass, uint32 max_frags, uint32 local_bufsize>
int MediaData< ChainClass, max_frags, local_bufsize >::num_reserved_fragments`[protected]`

template<class ChainClass, uint32 max_frags, uint32 local_bufsize>
MediaTimestamp MediaData< ChainClass, max_frags, local_bufsize >::timestamp`[protected]`

The documentation for this class was generated from the following file:

- oscl_media_data.h